Bug Hunting Session
Bug 120174 - Deleting values that are referenced doesn't update referencing cells
Summary: Deleting values that are referenced doesn't update referencing cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-09-27 22:10 UTC by Aron Budea
Modified: 2018-10-03 09:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODS (10.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-09-27 22:10 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-09-27 22:10:03 UTC
Created attachment 145233 [details]
Sample ODS

Open the attached ODS, in column D it contains a bunch of values, and next to them in column E the values in the preceding cells are referenced.

Delete any value in column D.

=> The value next to them in column E should be set to "0.00", but isn't.

Observed using LO 6.2 master build (14ce6a88e3fc299af1f643edfc2230ace5d614c1) / Ubuntu 18.04.
No issue with LO 6.1.0.3.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-6.2. Adding Cc: to Dennis Francis, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=77f7b4768a79e5a8489b163670e0ce10fbd07c49
author		Dennis Francis <dennis.francis@collabora.co.uk>	2018-07-11 17:19:28 +0530
committer	Luboš Luňák <l.lunak@collabora.com>	2018-08-23 11:28:23 +0200

Allow fast result return for formula-cells with...
"double" result which is a very frequent use-case.
This improves overall running times in most cases,
not just for the threaded path.
Comment 1 Commit Notification 2018-10-02 14:33:39 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cb160d58c62e6214f86ba94c9c2834dab6cfe8f

tdf#120174 : Always copy mbValueCached flag in Assign()

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.